#
# spec file for package ghc-js-jquery
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name js-jquery
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.2.1
Release:        lp150.1.8
Summary:        Obtain minified jQuery code
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-HTTP-devel
%endif

%description
This package bundles the minified <http://jquery.com/ jQuery> code into a
Haskell package, so it can be depended upon by Cabal packages. The first three
components of the version number match the upstream jQuery version.
The package is designed to meet the redistribution requirements of downstream
users (e.g. Debian).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/jquery-3.2.1.min.js

%files devel -f %{name}-devel.files
%doc CHANGES.txt README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 3.2.1.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 3.1.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 3.1.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.12.4 revision 0 with cabal2obs.
* Mon May 23 2016 mimi.vx@gmail.com
- update to 1.12.4
* Thu Apr  7 2016 mimi.vx@gmail.com
- update to 1.12.3
* Fri Mar 25 2016 mimi.vx@gmail.com
- update to 1.12.2
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 1.12.1
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 1.12.0
  * New version of jQuery
* Mon Sep 21 2015 mimi.vx@gmail.com
- initial commit
